Bug 232691 - Crash on clicking on k3b setup in system settings
Summary: Crash on clicking on k3b setup in system settings
Status: RESOLVED FIXED
Alias: None
Product: policykit-kde-agent-1
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: NOR crash
Target Milestone: ---
Assignee: Dario Freddi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-03-30 13:54 UTC by Con Kolivas
Modified: 2010-12-03 14:57 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Con Kolivas 2010-03-30 13:54:16 UTC
Application that crashed: systemsettings
Version of the application: 1.0
KDE Version: 4.3.4 (KDE 4.3.4)
Qt Version: 4.5.3
Operating System: Linux 2.6.33-ck1 x86_64
Distribution: Debian GNU/Linux testing (squeeze)

What I was doing when the application crashed:
Cycling through the system settings, it crashes on clicking on system->k3b setup

 -- Backtrace:
Application: System Settings (systemsettings), signal: Aborted
The current source language is "auto; currently c".
[Current thread is 1 (Thread 0x7f42146df750 (LWP 30796))]

Thread 5 (Thread 0x7f41fb681910 (LWP 30797)):
#0  __lll_lock_wait_private () at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:97
#1  0x00007f4211d2b5d8 in _L_lock_9456 () from /lib/libc.so.6
#2  0x00007f4211d299b1 in *__GI___libc_free (mem=0x7f4212003e60) at malloc.c:3736
#3  0x00007f421249278f in socketNotifierSourceCheck (source=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:92
#4  0x00007f420ee347da in g_main_context_check () from /lib/libglib-2.0.so.0
#5  0x00007f420ee34fc0 in ?? () from /lib/libglib-2.0.so.0
#6  0x00007f420ee353f0 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#7  0x00007f421249239c in QEventDispatcherGlib::processEvents (this=0x7d8a00, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:407
#8  0x00007f4212468562 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#9  0x00007f4212468934 in QEventLoop::exec (this=0x7f41fb681010, flags=...) at kernel/qeventloop.cpp:201
#10 0x00007f42123815a8 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#11 0x00007f421244c498 in QInotifyFileSystemWatcherEngine::run (this=0xa2aa30) at io/qfilesystemwatcher_inotify.cpp:214
#12 0x00007f42123844a5 in QThreadPrivate::start (arg=0xa2aa30) at thread/qthread_unix.cpp:188
#13 0x00007f420ebe073a in start_thread (arg=<value optimized out>) at pthread_create.c:300
#14 0x00007f4211d7f69d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#15 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f41f31ba910 (LWP 30805)):
#0  __lll_lock_wait_private () at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:97
#1  0x00007f4211d2b5d8 in _L_lock_9456 () from /lib/libc.so.6
#2  0x00007f4211d299b1 in *__GI___libc_free (mem=0x7f4212003e60) at malloc.c:3736
#3  0x00007f421249321a in ~QEventDispatcherGlib (this=0xe3deb0, __in_chrg=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:384
#4  0x00007f421238456c in QThreadPrivate::finish (arg=<value optimized out>) at thread/qthread_unix.cpp:212
#5  0x00007f42123844ad in ~__pthread_cleanup_class (arg=0x656120) at /usr/include/pthread.h:533
#6  QThreadPrivate::start (arg=0x656120) at thread/qthread_unix.cpp:190
#7  0x00007f420ebe073a in start_thread (arg=<value optimized out>) at pthread_create.c:300
#8  0x00007f4211d7f69d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#9  0x0000000000000000 in ?? ()
The current source language is "auto; currently asm".

Thread 3 (Thread 0x7f41fa1b4910 (LWP 30844)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:220
#1  0x00007f4212385477 in QWaitConditionPrivate::wait (this=0xacd408, mutex=0xacd400, time=30000) at thread/qwaitcondition_unix.cpp:85
#2  QWaitCondition::wait (this=0xacd408, mutex=0xacd400, time=30000) at thread/qwaitcondition_unix.cpp:159
#3  0x00007f421237b2d1 in QThreadPoolThread::run (this=0xb210c0) at concurrent/qthreadpool.cpp:140
#4  0x00007f42123844a5 in QThreadPrivate::start (arg=0xb210c0) at thread/qthread_unix.cpp:188
#5  0x00007f420ebe073a in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007f4211d7f69d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f41f896e910 (LWP 30845)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:220
#1  0x00007f4212385477 in QWaitConditionPrivate::wait (this=0xacd408, mutex=0xacd400, time=30000) at thread/qwaitcondition_unix.cpp:85
#2  QWaitCondition::wait (this=0xacd408, mutex=0xacd400, time=30000) at thread/qwaitcondition_unix.cpp:159
#3  0x00007f421237b2d1 in QThreadPoolThread::run (this=0xa4fc10) at concurrent/qthreadpool.cpp:140
#4  0x00007f42123844a5 in QThreadPrivate::start (arg=0xa4fc10) at thread/qthread_unix.cpp:188
#5  0x00007f420ebe073a in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007f4211d7f69d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f42146df750 (LWP 30796)):
[KCrash Handler]
#5  0x00007f4211ce5f45 in *__GI_raise (sig=<value optimized out>) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#6  0x00007f4211ce8d80 in *__GI_abort () at abort.c:88
#7  0x00007f4211d1b54d in __libc_message (do_abort=2, 
    fmt=0x7fff4a5db770 "00000 08:08 6423", ' ' <repeats 23 times>, "/home/con/.fontconfig/2e933e30caa0f14cc5a197fbb38f362e-le64.cache-3\n7f4214712000-7f4214719000 r--s 00000000 08:01 141093", ' ' <repeats 21 times>, "/usr/lib/gconv/gconv"...) at ../sysdeps/unix/sysv/linux/libc_fatal.c:173
#8  0x00007f4211d24d16 in malloc_printerr (action=3, str=0x7f4211dcf850 "double free or corruption (fasttop)", ptr=<value optimized out>) at malloc.c:6239
#9  0x00007f4211d299bc in *__GI___libc_free (mem=<value optimized out>) at malloc.c:3738
#10 0x00007f41f09b98d6 in PolkitQt::Context::Private::init() () from /usr/lib/libpolkit-qt-core.so.0
#11 0x00007f41f09bb2cd in PolkitQt::Context::hasError() const () from /usr/lib/libpolkit-qt-core.so.0
#12 0x00007f41f09b5615 in PolkitQt::Auth::isCallerAuthorized(_PolKitAction*, long long, bool) () from /usr/lib/libpolkit-qt-core.so.0
#13 0x00007f41f07a9a98 in PolkitQt::Action::Private::computePkResult() () from /usr/lib/libpolkit-qt-gui.so.0
#14 0x00007f41f07aa931 in PolkitQt::Action::setPolkitAction(QString const&) () from /usr/lib/libpolkit-qt-gui.so.0
#15 0x00007f41f07aaa17 in PolkitQt::Action::Action(QString const&, QObject*) () from /usr/lib/libpolkit-qt-gui.so.0
#16 0x00007f41f0bca129 in ?? () from /usr/lib/kde4/kcm_k3bsetup.so
#17 0x00007f41f0bcca95 in QObject* KPluginFactory::createInstance<K3bSetup, QWidget>(QWidget*, QObject*, QList<QVariant> const&) () from /usr/lib/kde4/kcm_k3bsetup.so
#18 0x00007f4212bd28ce in KPluginFactory::create (this=0xf563a0, iface=0x7f4213dffda0 "KCModule", parentWidget=<value optimized out>, parent=0xb9aea0, args=..., keyword=<value optimized out>)
    at ../../kdecore/util/kpluginfactory.cpp:191
#19 0x00007f42142cbe66 in KPluginFactory::create<KCModule> (mod=..., report=KCModuleLoader::Inline, parent=0xb9aea0, args=...) at ../../kdecore/util/kpluginfactory.h:515
#20 KService::createInstance<KCModule> (mod=..., report=KCModuleLoader::Inline, parent=0xb9aea0, args=...) at ../../kdecore/services/kservice.h:517
#21 KService::createInstance<KCModule> (mod=..., report=KCModuleLoader::Inline, parent=0xb9aea0, args=...) at ../../kdecore/services/kservice.h:494
#22 KService::createInstance<KCModule> (mod=..., report=KCModuleLoader::Inline, parent=0xb9aea0, args=...) at ../../kdecore/services/kservice.h:534
#23 KCModuleLoader::loadModule (mod=..., report=KCModuleLoader::Inline, parent=0xb9aea0, args=...) at ../../kutils/kcmoduleloader.cpp:89
#24 0x00007f42142d1597 in KCModuleProxyPrivate::loadModule (this=0xd42d70) at ../../kutils/kcmoduleproxy.cpp:104
#25 0x00007f42142d2605 in KCModuleProxy::realModule (this=<value optimized out>) at ../../kutils/kcmoduleproxy.cpp:81
#26 0x00007f42142d28f2 in KCModuleProxy::showEvent (this=0x784c, ev=0x784c) at ../../kutils/kcmoduleproxy.cpp:191
#27 0x00007f421308a1e4 in QWidget::event (this=0xb9aea0, event=0x7fff4a5dd720) at kernel/qwidget.cpp:7753
#28 0x00007f421303a01d in QApplicationPrivate::notify_helper (this=0x639920, receiver=0xb9aea0, e=0x7fff4a5dd720) at kernel/qapplication.cpp:4065
#29 0x00007f421304207a in QApplication::notify (this=0x7fff4a5e1590, receiver=0xb9aea0, e=0x7fff4a5dd720) at kernel/qapplication.cpp:4030
#30 0x00007f4213c91de6 in KApplication::notify (this=0x7fff4a5e1590, receiver=0xb9aea0, event=0x7fff4a5dd720) at ../../kdeui/kernel/kapplication.cpp:302
#31 0x00007f4212469c9c in QCoreApplication::notifyInternal (this=0x7fff4a5e1590, receiver=0xb9aea0, event=0x7fff4a5dd720) at kernel/qcoreapplication.cpp:610
#32 0x00007f421308f0da in QCoreApplication::sendEvent (this=0xd42b30) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:213
#33 QWidgetPrivate::show_helper (this=0xd42b30) at kernel/qwidget.cpp:6761
#34 0x00007f421308f412 in QWidgetPrivate::showChildren (this=<value optimized out>, spontaneous=false) at kernel/qwidget.cpp:7066
#35 0x00007f421308efcf in QWidgetPrivate::show_helper (this=0xeb88f0) at kernel/qwidget.cpp:6708
#36 0x00007f421308f63a in QWidget::setVisible (this=0xd1e7f0, visible=<value optimized out>) at kernel/qwidget.cpp:6980
#37 0x00007f421308f426 in QWidget::show (this=<value optimized out>, spontaneous=false) at ../../include/QtGui/../../src/gui/kernel/qwidget.h:473
#38 QWidgetPrivate::showChildren (this=<value optimized out>, spontaneous=false) at kernel/qwidget.cpp:7068
#39 0x00007f421308efcf in QWidgetPrivate::show_helper (this=0xf293e0) at kernel/qwidget.cpp:6708
#40 0x00007f421308f412 in QWidgetPrivate::showChildren (this=<value optimized out>, spontaneous=false) at kernel/qwidget.cpp:7066
#41 0x00007f421308efcf in QWidgetPrivate::show_helper (this=0x980030) at kernel/qwidget.cpp:6708
#42 0x00007f421308f412 in QWidgetPrivate::showChildren (this=<value optimized out>, spontaneous=false) at kernel/qwidget.cpp:7066
#43 0x00007f421308efcf in QWidgetPrivate::show_helper (this=0x97fb10) at kernel/qwidget.cpp:6708
#44 0x00007f421308f412 in QWidgetPrivate::showChildren (this=<value optimized out>, spontaneous=false) at kernel/qwidget.cpp:7066
#45 0x00007f421308efcf in QWidgetPrivate::show_helper (this=0x97f380) at kernel/qwidget.cpp:6708
#46 0x00007f421308f63a in QWidget::setVisible (this=0x97c9d0, visible=<value optimized out>) at kernel/qwidget.cpp:6980
#47 0x00007f4213073855 in QWidget::show (this=0x9b60a0, index=1) at ../../include/QtGui/../../src/gui/kernel/qwidget.h:473
#48 QStackedLayout::setCurrentIndex (this=0x9b60a0, index=1) at kernel/qstackedlayout.cpp:313
#49 0x00007f41fffa779c in ClassicMode::qt_metacall (this=0x97dad0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff4a5ddde0) at ./ClassicMode.moc:81
#50 0x00007f421247edf2 in QMetaObject::activate (sender=0x97c9d0, from_signal_index=<value optimized out>, to_signal_index=27, argv=0xffffffffffffffff) at kernel/qobject.cpp:3112
#51 0x00007f421409be4f in ModuleView::moduleChanged (this=0x784c, _t1=false) at ./ModuleView.moc:106
#52 0x00007f421409e1f4 in ModuleView::qt_metacall (this=0x97c9d0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff4a5ddf10) at ./ModuleView.moc:92
#53 0x00007f421247edf2 in QMetaObject::activate (sender=0x9dd120, from_signal_index=<value optimized out>, to_signal_index=32, argv=0xffffffffffffffff) at kernel/qobject.cpp:3112
#54 0x00007f4213cc1f08 in KPageWidget::currentPageChanged (this=0x784c, _t1=0xd42f20, _t2=0x0) at ./kpagewidget.moc:90
#55 0x00007f4213cc20a8 in KPageWidget::qt_metacall (this=0x9dd120, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff4a5de040) at ./kpagewidget.moc:78
#56 0x00007f421247edf2 in QMetaObject::activate (sender=0x9dd120, from_signal_index=<value optimized out>, to_signal_index=27, argv=0xffffffffffffffff) at kernel/qobject.cpp:3112
#57 0x00007f4213cbdb17 in KPageView::currentPageChanged (this=0x784c, _t1=<value optimized out>, _t2=<value optimized out>) at ./kpageview.moc:134
#58 0x00007f4213cbe685 in KPageViewPrivate::_k_pageSelected (this=0x9dd1c0, index=..., previous=...) at ../../kdeui/paged/kpageview.cpp:235
#59 0x00007f4213cbf082 in KPageView::qt_metacall (this=0x9dd120, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff4a5de1e0) at ./kpageview.moc:94
#60 0x00007f4213cc2060 in KPageWidget::qt_metacall (this=0x784c, _c=30796, _id=6, _a=0xffffffffffffffff) at ./kpagewidget.moc:70
#61 0x00007f421247edf2 in QMetaObject::activate (sender=0xc15100, from_signal_index=<value optimized out>, to_signal_index=5, argv=0xffffffffffffffff) at kernel/qobject.cpp:3112
#62 0x00007f421356b26a in QItemSelectionModel::currentChanged (this=0x784c, _t1=<value optimized out>, _t2=<value optimized out>) at .moc/release-shared/moc_qitemselectionmodel.cpp:153
#63 0x00007f421356b3b4 in QItemSelectionModel::setCurrentIndex (this=0xc15100, index=<value optimized out>, command=...) at itemviews/qitemselectionmodel.cpp:1123
#64 0x00007f4213cbe9c0 in KPageViewPrivate::_k_rebuildGui (this=0x9dd1c0) at ../../kdeui/paged/kpageview.cpp:70
#65 0x00007f4213cbef75 in KPageViewPrivate::_k_modelChanged (this=0x784c) at ../../kdeui/paged/kpageview.cpp:190
#66 0x00007f4213cbf092 in KPageView::qt_metacall (this=0x9dd120, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff4a5de570) at ./kpageview.moc:93
#67 0x00007f4213cc2060 in KPageWidget::qt_metacall (this=0x784c, _c=30796, _id=6, _a=0xffffffffffffffff) at ./kpagewidget.moc:70
#68 0x00007f421247edf2 in QMetaObject::activate (sender=0x982340, from_signal_index=<value optimized out>, to_signal_index=6, argv=0xffffffffffffffff) at kernel/qobject.cpp:3112
#69 0x00007f421409d9ec in ModuleView::addModule (this=0x97c9d0, module=0x8d1680) at ../../../systemsettings/core/ModuleView.cpp:177
#70 0x00007f421409dee2 in ModuleView::loadModule (this=0x97c9d0, menuItem=<value optimized out>) at ../../../systemsettings/core/ModuleView.cpp:137
#71 0x00007f41fffa6ff7 in ClassicMode::changeModule (this=0x97dad0, activeModule=<value optimized out>) at ../../../systemsettings/classic/ClassicMode.cpp:163
#72 0x00007f41fffa77d1 in ClassicMode::qt_metacall (this=0x97dad0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff4a5de940) at ./ClassicMode.moc:79
#73 0x00007f421247edf2 in QMetaObject::activate (sender=0x9ea010, from_signal_index=<value optimized out>, to_signal_index=34, argv=0xffffffffffffffff) at kernel/qobject.cpp:3112
#74 0x00007f4213514885 in QAbstractItemView::activated (this=0x784c, _t1=<value optimized out>) at .moc/release-shared/moc_qabstractitemview.cpp:335
#75 0x00007f4213521b3c in QAbstractItemView::mouseReleaseEvent (this=0x9ea010, event=0x7fff4a5df7e0) at itemviews/qabstractitemview.cpp:1664
#76 0x00007f421308a37f in QWidget::event (this=0x9ea010, event=0x7fff4a5df7e0) at kernel/qwidget.cpp:7554
#77 0x00007f42133f292b in QFrame::event (this=0x9ea010, e=0x7fff4a5df7e0) at widgets/qframe.cpp:559
#78 0x00007f421352498b in QAbstractItemView::viewportEvent (this=0x9ea010, event=0x7fff4a5df7e0) at itemviews/qabstractitemview.cpp:1476
#79 0x00007f421355c689 in QTreeView::viewportEvent (this=0x9ea010, event=0x7fff4a5df7e0) at itemviews/qtreeview.cpp:1266
#80 0x00007f4212468fb8 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=<value optimized out>, receiver=0x980b70, event=0x7fff4a5df7e0) at kernel/qcoreapplication.cpp:726
#81 0x00007f4213039fec in QApplicationPrivate::notify_helper (this=0x639920, receiver=0x980b70, e=0x7fff4a5df7e0) at kernel/qapplication.cpp:4061
#82 0x00007f42130427ca in QApplication::notify (this=<value optimized out>, receiver=0x980b70, e=0x7fff4a5df7e0) at kernel/qapplication.cpp:3767
#83 0x00007f4213c91de6 in KApplication::notify (this=0x7fff4a5e1590, receiver=0x980b70, event=0x7fff4a5df7e0) at ../../kdeui/kernel/kapplication.cpp:302
#84 0x00007f4212469c9c in QCoreApplication::notifyInternal (this=0x7fff4a5e1590, receiver=0x980b70, event=0x7fff4a5df7e0) at kernel/qcoreapplication.cpp:610
#85 0x00007f4213041a78 in QCoreApplication::sendSpontaneousEvent (receiver=0x980b70, event=0x7fff4a5df7e0, alienWidget=0x980b70, nativeWidget=0x7ab880, buttonDown=<value optimized out>, 
    lastMouseReceiver=...) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:216
#86 QApplicationPrivate::sendMouseEvent (receiver=0x980b70, event=0x7fff4a5df7e0, alienWidget=0x980b70, nativeWidget=0x7ab880, buttonDown=<value optimized out>, lastMouseReceiver=...)
    at kernel/qapplication.cpp:2924
#87 0x00007f42130aa659 in QETWidget::translateMouseEvent (this=0x7ab880, event=<value optimized out>) at kernel/qapplication_x11.cpp:4411
#88 0x00007f42130a940f in QApplication::x11ProcessEvent (this=0x7fff4a5e1590, event=0x7fff4a5e11b0) at kernel/qapplication_x11.cpp:3552
#89 0x00007f42130d176c in x11EventSourceDispatch (s=0x6552d0, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#90 0x00007f420ee3190e in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#91 0x00007f420ee352c8 in ?? () from /lib/libglib-2.0.so.0
#92 0x00007f420ee353f0 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#93 0x00007f421249239c in QEventDispatcherGlib::processEvents (this=0x615e60, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:407
#94 0x00007f42130d0f1f in QGuiEventDispatcherGlib::processEvents (this=0x784c, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:202
#95 0x00007f4212468562 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#96 0x00007f4212468934 in QEventLoop::exec (this=0x7fff4a5e14e0, flags=...) at kernel/qeventloop.cpp:201
#97 0x00007f421246aba4 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:888
#98 0x000000000040cbc9 in main (argc=<value optimized out>, argv=<value optimized out>) at ../../../systemsettings/app/main.cpp:51
The current source language is "auto; currently c".

Reported using DrKonqi
Comment 1 Terry 2010-09-07 12:06:43 UTC
I am having this problem also.  K3b Version 2.0.80.
$ kde4-config --version
Qt: 4.7.0
KDE Development Platform: 4.5.1 (KDE 4.5.1)
kde4-config: 1.0
Comment 2 Terry 2010-09-07 12:08:04 UTC
Sorry, it crashes when I click on settings.
Comment 3 Ralph Moenchmeyer 2010-10-10 10:39:54 UTC
I have the same problem. Clicking on settings in K3b leads to a crash of K3b.

OS: Opensuse 11.3 x86_64
KDE: 4.5.2 (RPMs from Opensuse KDE Factory repository)
K3b: 2.0.1 (RPM from Packman 2.0.1-1pm.2.5) 
Qt: 4.7.0
kde4-config: 1.0
Comment 4 Dario Freddi 2010-11-09 21:07:08 UTC
This should be fixed in 4.5/4.6
Comment 5 Ralph Moenchmeyer 2010-12-03 14:57:55 UTC
Tested again for Opensuse 11.3 (x86_64), KDE 4.6 beta (from Opensuse's Factory Repository), Qt 4.7.1. 

With the latest RPM 2.0.1-44.1 for K3b in the Factory Repo K3b obviously is working again under Opensuse 11.3 - at least under KDE 4.6 beta. I did no test for KDE 4.5.2 or 4.5.3 again.

No crash or disappearance of K3b any more when opening the settings dialog.